#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#define pt(x) printf("Point %d\n", x)

#define TRUE 1
#define FALSE 0
#define MAXCHAR 100
#define MAXCOMM 500

#define SEND 0
#define RECV 1
#define END 2

#define TEMPLATE "template.fig"
#define NUMCOLOURS 28

#define BLACK 0
#define BLUE 1
#define GREEN 2
#define CYAN 3
#define RED 4
#define MAGENTA 5
#define YELLOW 6
#define WHITE 7

#define BLUE2 8 
#define GREEN2 12
#define CYAN2 15
#define RED2 18
#define MAGENTA2 21
#define BROWN2 24
#define PINK2 27

#define BLUE3 9
#define GREEN3 13
#define CYAN3 16
#define RED3 19
#define MAGENTA3 22
#define BROWN3 25
#define PINK3 28

#define BLUE4 10
#define GREEN4 14
#define CYAN4 17
#define RED4 20
#define MAGENTA4 23
#define BROWN4 26
#define PINK4 29

#define WIDTH 600
#define DRAW_FACTOR 0.2

typedef struct {
  int command;
  int node;
  float start;
  float startto;
  float end;
  float length;
  int done;
}commands;

int readword(int, char *);
int skipline(int);
int sorter(char *, int);
int scanner(commands *, int *, int);
int calstart(commands *, int *, float, float, float, float,int);
int drawfighead();
int drawlayout(int, int);
int drawbox(int, int, int, int);
int drawline(int, int, int, int, int);
int drawstuff(commands *, int *, int); 











